<?php
include("config.php");
if ($_GET[buscar]=="marcas")
{
	$consulta="SELECT idmarca, descripcion FROM marca order by 2";
	$todos=mysql_query($consulta);
	echo "<select class='round' name='idmarca' id='idmarca' style='width: 155px'>";
	echo "<option value=''>Selecciona la marca</option>";
	while($registro=mysql_fetch_array($todos))
	{
		echo "<option value='".$registro[0]."'";
		echo ">".$registro[1]."</option>";
	}
	echo "</select>";
}


if ($_GET[buscar]=="nuevo")
{
//	echo "<script>alert('".$_GET[idanio]."');</script>";
	echo "<label for='idnuevo'>Es 0 Km?</label>
	<select class='round' name='idnuevo' id='idnuevo' style='width: 55px'>
	<option value='1'>NO</option>";
	if ($_GET[idanio] <= 2) {echo "<option value='2'>SI</option>";}
	echo "</select>";
}



if ($_GET[buscar]=="modelos")
{
	$consulta="SELECT idmodelo, descripcion FROM modelo WHERE idTipoVehiculo in (1, 2, 3) and  idmarca='".mysql_real_escape_string(intval($_GET[idmarca]))."' order by 2";
	$todos=mysql_query($consulta);
	echo "<select class='round' name='idmodelo' id='idmodelo' style='width: 155px'>";
	echo "<option value=''>Selecciona el modelo</option>";
	while($registro=mysql_fetch_array($todos))
	{
		echo "<option value='".$registro[0]."'";
		echo ">".$registro[1]."</option>";
	}
	echo "</select>";
}
if ($_GET[buscar]=="precio")
{
	$consulta2="SELECT precio, preciominimo FROM precioReferenciales WHERE idmodelo='".mysql_real_escape_string(intval($_GET[idmodelo]))."' AND anio = '".mysql_real_escape_string(intval($_GET[aniofab]))."'";
	$anio = 0;
	$anio = $_GET[aniofab];

	$anioactual = date("Y");
//	$antiguedad = $anioactual - $anio;
//	echo "<script>alert('".$anio."');</script>";
	$todos2=mysql_query($consulta2);
	$max = "";
	$min = "";
	echo "<input type='text' style='display: none;' id='sprecio' name='sprecio' value='";
	while($registro2=mysql_fetch_array($todos2))
	{
		echo number_format($registro2[0], 0, '.', ',');
		$precio = number_format($registro2[0], 0, '.', ',');
		$valormaximo = $registro2[0]*1.1;
		$valorminimo = $registro2[1]*0.9;		
		$max = number_format($registro2[0]*1.1, 0, '.', ',');
		$min = number_format($registro2[1]*0.9, 0, '.', ',');
	}
	echo "'><img src='picture_library/informacion.png' title='Maximo: US$".$max." | Minimo: US$".$min."'>";
	if ($anio > 1 && $anioactual <> $anio)
	{
		echo "<script>document.getElementById('idnuevo').value = '1';</script>";
	}
//	echo "<input type='text' style='display: none;' id='sprecio' name='sprecio' value='".$precio."'>";
	echo "<input type='text' style='display: none;' id='preciomaximo' name='preciomaximo' value='".$valormaximo."'>";
	echo "<input type='text' style='display: none;' id='preciominimo' name='preciominimo' value='".$valorminimo."'>";
	echo "<script>document.getElementById('precio').value = '".$precio."';</script>";

}
if ($_GET[buscar]=="placav")
{
	$consulta2="SELECT m.idmarca, v.idmodelo, v.valor, v.fabricacion, d.Depreciacion, v.valor * d.Depreciacion ValorDepreciado FROM vehiculo v inner join modelo m on m.idmodelo = v.idmodelo INNER JOIN depreciacion d on d.anio = YEAR(NOW()) - v.fabricacion WHERE v.placa='".$_GET[placa]."'";
	$todos2=mysql_query($consulta2);
	$anioactual = date("Y");
	while($registro2=mysql_fetch_array($todos2))
	{
		$valor = $registro2[5];
		$idmodelo = $registro2[1];
		$antiguedad = $anioactual - $registro2[3];
	}
	$consulta3="SELECT precio, preciominimo FROM precioReferenciales WHERE idmodelo='".$idmodelo."' AND anio = '".$antiguedad."'";
	$todos3=mysql_query($consulta3);
	$max = "";
	$min = "";
	while($registro3=mysql_fetch_array($todos3))
	{
		$valormaximo = $registro3[0]*1.1;
		$valorminimo = $registro3[1]*0.9;
		$max = number_format($registro3[0]*1.1, 0, '.', ',');
		$min = number_format($registro3[1]*0.9, 0, '.', ',');
	}
	$precio = "";
	echo "<input type='text' style='display: none;' id='sprecio' name='sprecio' value='";
	if ($valor > $valormaximo) 
	{
		echo $max;
		$precio = $max;
	}
	else
	{
		echo number_format($valor, 0, '.', ',');
		$precio = number_format($valor, 0, '.', ',');
	}
	echo "'><img src='picture_library/informacion.png' title='Maximo: US$ ".$max." | Minimo: US$ ".$min."'>";
	echo "<input type='text' style='display: none;' id='preciomaximo' name='preciomaximo' value='".$valormaximo."'>";
	echo "<input type='text' style='display: none;' id='preciominimo' name='preciominimo' value='".$valorminimo."'>";
	echo "<script>document.getElementById('precio').value = '".$precio."';</script>";
}
if ($_GET[buscar]=="placamarca")
{
	$consulta2="SELECT m.idmarca, v.idmodelo, v.valor, v.fabricacion FROM vehiculo v inner join modelo m on m.idmodelo = v.idmodelo WHERE v.placa='".$_GET[placa]."'";
	$todos2=mysql_query($consulta2);
	
			$cantregistros = mysql_num_rows($todos2);
			if ($cantregistros>0)
			{
				while($registro2=mysql_fetch_array($todos2))
				{
					$idmarca = $registro2[0];
				}

				$consulta="SELECT idmarca, descripcion FROM marca order by 2";
				$todos=mysql_query($consulta);
				echo "<select class='round' name='idmarca' id='idmarca' style='width: 155px'>";
				echo "<option value=''>Selecciona la marca</option>";
				while($registro=mysql_fetch_array($todos))
				{
					echo "<option value='".$registro[0]."'";
					if ($registro[0]==$idmarca) 
					{
						echo " selected";
					}
					echo ">".$registro[1]."</option>";
				}
				echo "</select>";
			}
			else {
				$query = "SELECT idmarca, descripcion from marca order by descripcion";
				$result = mysql_query($query);

				echo "<select class='round' name='idmarca' id='idmarca' style='width: 155px'>";
				echo "<option value=''>Selecciona la marca</option>";
				while($registro=mysql_fetch_array($result))
				{
					echo "<option value='".$registro[0]."'>".$registro[1]."</option>";
				}
				echo "</select>";

			}
}
if ($_GET[buscar]=="placamodelo")
{
	$consulta2="SELECT m.idmarca, v.idmodelo, v.valor, v.fabricacion FROM vehiculo v inner join modelo m on m.idmodelo = v.idmodelo WHERE v.placa='".$_GET[placa]."'";
	$todos2=mysql_query($consulta2);
	while($registro2=mysql_fetch_array($todos2))
	{
		$idmarca = $registro2[0];
		$idmodelo = $registro2[1];
	}

	$consulta="SELECT idmodelo, descripcion FROM modelo WHERE idmarca='".$idmarca."' order by 2";
	$todos=mysql_query($consulta);
	echo "<select class='round' name='idmodelo' id='idmodelo' style='width: 155px'>";
	echo "<option value=''>Selecciona el modelo</option>";
	while($registro=mysql_fetch_array($todos))
	{
		echo "<option value='".$registro[0]."'";
		if ($registro[0]==$idmodelo) 
		{
			echo " selected";
		}
		echo ">".$registro[1]."</option>";
	}
	echo "</select>";
}
if ($_GET[buscar]=="placaanio")
{
	$consulta2="SELECT m.idmarca, v.idmodelo, v.valor, v.fabricacion, v.chasis FROM vehiculo v inner join modelo m on m.idmodelo = v.idmodelo WHERE v.placa='".$_GET[placa]."'";
	$todos2=mysql_query($consulta2);
	while($registro2=mysql_fetch_array($todos2))
	{
		$anio = $registro2[3];
		echo "<input style='display: none; height:30px; width: 100%' class='roundTable' name='chasis' id='chasis' type='text' value='".$registro2[4]."' />";
	}

	echo "<select class='round' name='idfabricacion' id='idfabricacion' style='width: 155px'>";
		$numero = date ("Y");
		echo "<option value=''>Selecciona el a&ntilde;o</option>";
		while($numero>=1995)
			{
				echo "<option value='".$numero."'";
				if ($numero==$anio) 
				{
					echo " selected";
					$anioactual = date("Y");
					$idanio = $anioactual - $anio;
				}				
				echo ">".$numero."</option>";
				$numero--;
			} 
	echo "</select>";
	if ($idanio > 1)
	{
		echo "<script>document.getElementById('idnuevo').value = '1';</script>";
	}

}
?>